<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>KSPDefaultMonitor</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="KSPDefaultMonitor"><H1>KSPDefaultMonitor</H1></A>
Print the residual norm at each iteration of an iterative solver. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscksp.h" 
PetscErrorCode PETSCKSP_DLLEXPORT KSPDefaultMonitor(KSP ksp,PetscInt n,PetscReal rnorm,void *dummy)
</PRE>
Collective on <A HREF="../KSP/KSP.html#KSP">KSP</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>ksp   </B></TD><TD>- iterative context
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>n     </B></TD><TD>- iteration number
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>rnorm </B></TD><TD>- 2-norm (preconditioned) residual value (may be estimated).  
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>dummy </B></TD><TD>- unused monitor context 
</TD></TR></TABLE>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../KSP/KSP.html#KSP">KSP</A>, default, monitor, residual
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../KSP/KSPSetMonitor.html#KSPSetMonitor">KSPSetMonitor</A>(), <A HREF="../KSP/KSPTrueMonitor.html#KSPTrueMonitor">KSPTrueMonitor</A>(), <A HREF="../KSP/KSPLGMonitorCreate.html#KSPLGMonitorCreate">KSPLGMonitorCreate</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ksp/ksp/interface/iterativ.c.html#KSPDefaultMonitor">src/ksp/ksp/interface/iterativ.c</A>
<BR><A HREF="./index.html">Index of all KSP routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
